fp2subc(1)

NAME
fp2subc - convert any footprint into a pcb-rnd subcircuit

SYNPOSIS

fp2subc [options] infile [outfile]

DECSRIPTION

fp2subc executes pcb-rnd in batch mode to load a footprint (typically specified in an alien format) and save it as a native pcb-rnd subcircuit. The script is useful for mass-converting old footprint libraries.

If outfile is not specified, its name is guessed from infile

OPTIONS

--lib
    infile is not a path but a footprint name that should be searched in the library

-l  same as --lib

--pcb-rnd exepath
    run exepath for invoking pcb-rnd (default is "pcb-rnd", which depends on $PATH)

-p exepath
    same as --pcb-rnd

--debugger exepath
    insert exepath before pcb-rnd on the command line; useful for running the process e.g. in valgrind

-d exepath
    same as --debugger

-c key=val
    pass on a -c key=val CLI config setting to pcb-rnd; useful for setting up library paths